### Struct

# Gio SettingsSchemaSource

since: 2.32

#### Description

    struct GSettingsSchemaSource {
      /* No available fields */
    }

This is an opaque structure type. You may not access it directly.

Available since: 2.32

#### Constructors

###### g_settings_schema_source_new_from_directory

Attempts to create a new schema source corresponding to the contents of the given directory.

since: 2.32

#### Functions

###### g_settings_schema_source_get_default

Gets the default system schema source.

since: 2.32

#### Instance methods

###### g_settings_schema_source_list_schemas

Lists the schemas in a given source.

since: 2.40

###### g_settings_schema_source_lookup

Looks up a schema with the identifier `schema_id` in `source`.

since: 2.32

###### g_settings_schema_source_ref

Increase the reference count of `source`, returning a new reference.

since: 2.32

###### g_settings_schema_source_unref

Decrease the reference count of `source`, possibly freeing it.

since: 2.32